> This page is for Postman API Docs.

> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt.

# Get a component

GET https://api.postman.com/components/{componentId}

Gets information about a component. Use the `include` and `expand` query parameters to return additional information, such as `hasVersions` and the latest published version.

Reference: https://learning.postman.com/api-docs/api-reference/components/get-component

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Servers

- `https://api.postman.com` (https://api.postman.com, default)
- `https://api.eu.postman.com` (https://api.eu.postman.com)

## Request

### Path parameters

- `componentId` (string, required) — The component's ID.

### Query parameters

- `include` (string, optional) — A comma-separated list of additional fields to include. Accepts the `hasVersions`, `latestVersion`, `latestVersion.content` values.
- `expand` (string, optional) — A comma-separated list of fields to expand. Accepts the `latestVersion` value.

## Response

### 200

Successful Response

- `data` (componentData, optional) — Information about the component.

## Errors

### 400 Bad Request Error

Bad Request

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 401 Unauthorized Error

Unauthorized

- `GetComponentRequestUnauthorizedError`
  - Error (Type, Title, Detail, Status): commonErrorTypeTitleDetailStatus
  - Error (Name, Message): commonErrorNameMessage

### 403 Forbidden Error

Forbidden

- `GetComponentRequestForbiddenError`
  - Error (Type, Title, Detail, Status): commonErrorTypeTitleDetailStatus
  - Error (Name, Message): commonErrorNameMessage

### 404 Not Found Error

Not Found

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 500 Internal Server Error

Internal Server Error

- `GetComponentRequestInternalServerError`
  - Error (Type, Title, Detail): commonErrorTypeTitleDetail
  - Error (Type, Title, Detail, Status): commonErrorTypeTitleDetailStatus
  - Error (Name, Message): commonErrorNameMessage

## Types

### componentData

Information about the component.

- `id` (string, optional) — The component's ID.
- `name` (string, optional) — The component's name.
- `type` (enum, optional) — The component's type. Corresponds to the specification that the component's content adheres to.
  - Allowed values: `OAS2`, `OAS3`, `OAS3_1`
- `status` (enum, optional) — The component's lifecycle state: - `active` — The component is active and can be edited and published. - `archive` — The component is archived and read-only. Archived components can't be edited or published, but their existing versions remain accessible.
  - Allowed values: `active`, `archive`
- `createdAt` (datetime, optional) — The date and time at which the component was created.
- `updatedAt` (datetime, optional) — The date and time at which the component was last updated.
- `createdBy` (string, optional) — The ID of the user who created the component.
- `updatedBy` (string, optional) — The ID of the user who last updated the component.
- `hasVersions` (boolean, optional) — Whether the component has versions. Returns only when you pass the `hasVersions` value for the `include` parameter.
- `latestVersion` (ComponentDataLatestVersion, optional) — Information about the component's latest version. This property only returns only when you pass the `latestVersion` value for the `include` parameter. To return detailed information about the component's latest version, pass the `latestVersion` value for the `expand` parameter.

### CommonErrorTypeTitleDetailStatusType

The type of error.

- string
- string

### commonErrorTypeTitleDetailStatus

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### commonErrorNameMessage

- `error` (CommonErrorNameMessageError, optional) — Information about the error.

### commonErrorTypeTitleDetail

- `type` (string, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (CommonErrorTypeTitleDetailDetail, optional) — Information about the error.

### ComponentDataLatestVersion

Information about the component's latest version. This property only returns only when you pass the `latestVersion` value for the `include` parameter. To return detailed information about the component's latest version, pass the `latestVersion` value for the `expand` parameter.

- string
- Component Version Data: componentVersionData

### CommonErrorNameMessageError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.

### CommonErrorTypeTitleDetailDetail

Information about the error.

- string
- map from string to any

### componentVersionData

Information about a component's version.

- `id` (string, optional) — The component version's ID.
- `label` (string, optional) — The component version's label.
- `url` (string, optional) — The URL where the component version can be accessed.
- `format` (string, optional) — The component version's content format.
- `publishedAt` (datetime, optional) — The date and time at which the component version was published.
- `content` (string, optional) — The version's content. This returns when you include the `include` parameter.

## Examples

**Response**

```json
{
  "createdAt": "2026-01-15T10:30:00.000Z",
  "createdBy": "12345678",
  "id": "01KT964C30J3DPJQKEACZH39N8",
  "name": "example-component",
  "type": "OAS3",
  "updatedAt": "2026-01-15T10:30:00.000Z",
  "updatedBy": "12345678"
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.postman.com/components/01KT964C30J3DPJQKEACZH39N8"

querystring = {"expand":"latestVersion","include":"hasVersions,latestVersion"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.postman.com/components/01KT964C30J3DPJQKEACZH39N8?expand=latestVersion&include=hasVersions%2ClatestVersion';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/components/01KT964C30J3DPJQKEACZH39N8?expand=latestVersion&include=hasVersions%2ClatestVersion"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/components/01KT964C30J3DPJQKEACZH39N8?expand=latestVersion&include=hasVersions%2ClatestVersion")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/components/01KT964C30J3DPJQKEACZH39N8?expand=latestVersion&include=hasVersions%2ClatestVersion")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/components/01KT964C30J3DPJQKEACZH39N8?expand=latestVersion&include=hasVersions%2ClatestVersion', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.postman.com/components/01KT964C30J3DPJQKEACZH39N8?expand=latestVersion&include=hasVersions%2ClatestVersion");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/components/01KT964C30J3DPJQKEACZH39N8?expand=latestVersion&include=hasVersions%2ClatestVersion")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```